#
# spec file for package renderproto
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           renderproto
Version:        0.11.1
Release:        lp151.2.1
Url:            http://xorg.freedesktop.org/
Summary:        The X11 Protocol: X Rendering extension
License:        MIT
Group:          Development/Libraries/X11

#Git-Clone:	git://anongit.freedesktop.org/xorg/proto/renderproto
#Git-Web:	http://cgit.freedesktop.org/xorg/proto/renderproto/
Source:         http://xorg.freedesktop.org/releases/individual/proto/%name-%version.tar.bz2
#BuildRequires:  autoconf >= 2.60
#BuildRequires:  automake
#BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Render protocol headers for X11 development.
This extension defines the protcol for a digital image composition as
the foundation of a new rendering model within the X Window System.

%package devel
Summary:        The X11 Protocol: X Rendering extension
Group:          Development/Libraries/X11

# Added within the 13.2 Development Cycle
Provides:       xorg-x11-proto-devel:%_libdir/pkgconfig/renderproto.pc

%description devel
The Render protocol headers for X11 development.
This extension defines the protcol for a digital image composition as
the foundation of a new rendering model within the X Window System.

%prep
%setup -q

%build
#autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files devel
%defattr(-,root,root)
%doc %_datadir/doc/*
%_includedir/X11/extensions/
%_libdir/pkgconfig/*.pc

%changelog
* Thu Sep 18 2014 jengelh@inai.de
- Update description and other metadata
- Use full %%configure for build, and remove CFLAGS (nothing is
  compiled)
- Make file list more compact
* Thu Apr 24 2014 tobias.johannes.klausmann@mni.thm.de
- Created package renderproto with initial version 0.11.1
